Page MenuHome

Rendering with Volume Absorption aborts with CUDA Error
Closed, ResolvedPublic

Description

System Information
XPS 15 9560

Operating system and graphics card
Win 10 / GTX 1050

Blender Version
Official 2.79 Release and 2.79.0-cacba95
Broken: both
Worked: negative

Short description of error
Here on the XPS and a Ryzen Threadripper with GTX 1080Ti the render of the attached scene will be stopped with a CUDA error:
Launch failed in cuCTXSynchronize(), line 1762

Disconnecting the Volume Absorption node will fix this. Conclusion: Volume Absorption is broken.

Exact steps for others to reproduce the error
Load the attached scene and press F12 for render.

Event Timeline

Brecht Van Lommel (brecht) lowered the priority of this task from 90 to Normal.Jan 11 2018, 11:08 PM

I couldn't reproduce a crash on Linux with a GTX 1080, will test on Windows later.

Last night it crashed for me (Linux Mint 18.3, 12GB RAM, GTX780 3GB), but now with the very current master it works:

Maybe it's hard to reproduce, I'll give it some more shots.

Gave it 10 more tries, no crash. It also works reliably with the brand new "Transparent Glass" feature. :)

The attached simple scene seems to work with the latest release. But keep in mind that I also could render this before but later the error appeared. Maybe its a random error caused by a specific situation?

I've added another scene "RB0112_6981_Arial_Intruder_v03.zip" with very high Branched Path Tracing samples. This gave me again a CUDA error with the actual Saturday, 13.01.18 build. I restarted Blender and the simple scene could be rendered in hybrid mode.

Now I reloaded the Aerial Intruder scene and set AA to 64 and all other passes to 1. This will render now without a CUDA error.

I did now a couple of tests with the latest build of today. GPU rendering with my scenes is definitely broken.

BTW: the new Transparent Glass option is great. So useful. Good job ... as always.

Richard Antalik (ISS) changed the task status from Confirmed to Needs Information from User.Feb 10 2020, 5:20 PM

This file reqires 12h of rendering time on my machine. Please submit simplified file if possible.

Can you please check if this is still an issue in latest build?
https://builder.blender.org/download/

Aaron Carlisle (Blendify) closed this task as Resolved.Feb 18 2020, 7:29 PM
Aaron Carlisle (Blendify) claimed this task.

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.